﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

namespace HeuristicLab.EvolutionaryTracking {
  /// <summary>
  /// An arc that can have a weight, a label, and can old additional information in the Data object
  /// </summary>
  public class GenealogyGraphArc {
    public IGenealogyGraphNode Target { get; set; }
    // these two fields are not used, but they might be useful later 
    public string Label { get; set; } // might be useful later
    public double Weight { get; set; } // might be useful later
    // object used to embed information about node interactions into the arc that connects them
    // (therefore a graph arc will encode a relationship/interaction)
    public object Data { get; set; }
  }
}
